/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kxmain.h"

void kxMain::addModulePath()
{
QString toEnter = KFileDialog :: getExistingDirectory (QDir::homeDirPath(), this, tr("Choose modules path"));
if (toEnter != "") { modulesPathListBox->insertItem(toEnter); }
}

void kxMain::removeModulesDir()
{
int a = modulesPathListBox->currentItem();
modulesPathListBox->removeItem(a);
modulesPathListBox->setSelected(a, TRUE);
if (a == modulesPathListBox->count()) { modulesPathListBox->setSelected(a - 1, TRUE); }
if (a == 0) { modulesPathListBox->setSelected(0, TRUE); }

}

void kxMain::addFontsDir()
{

if (customFontLineEdit->text() == "")
{
QString toEnter = KFileDialog :: getExistingDirectory (QDir::homeDirPath(), this, tr("Choose fonts path"));
if (toEnter != "") { fontsBox->insertItem(toEnter); }
}

if (customFontLineEdit->text() != "")
{
fontsBox->insertItem(customFontLineEdit->text());
customFontLineEdit->setText("");
}

}

void kxMain::removeFontsDir()
{
int a = fontsBox->currentItem();
fontsBox->removeItem(a);
fontsBox->setSelected(a, TRUE);
if (a == fontsBox->count()) { fontsBox->setSelected(a - 1, TRUE); }
if (a == 0) { fontsBox->setSelected(0, TRUE); }
}
